/* ------------------------------------------------------------ *\
	Button
\* ------------------------------------------------------------ */

.btn {
	display: inline-block;
	vertical-align: middle;
	text-align: center;
	cursor: pointer;
	text-decoration: none;
	appearance: none;

	&--block {
		display: block;
		padding-left: 0;
		padding-right: 0;
	}

	&--default {
		font-size: 14px;
		font-weight: 700;
		text-transform: uppercase;
		text-decoration: none;
		border: 0;
		border-radius: 0;
		padding: 8px 25px 6px;
		transition: border-color .4s, background .4s, color .4s;
		outline: 0;
	}

	&--white {
		border: 2px solid #000000;
		background-color: #ffffff;

		&:hover {
			border: 2px solid #000000;
			background-color: #000;
			color: #fff;
		}
	}

	&--solid {
		border: 2px solid #000000;
		background-color: #000000;
		color: #fff;

		&:hover {
			background: transparent;
			color: #000;
		}
	}

	&--outline-solid {
		border: 2px solid #000000;
		background-color: transparent;
		color: #000;

		&:hover {
			background: #000000;
			color: #fff;
		}
	}

	&--small{
		padding: 7px 21px 5px;
		font-size: 12px;
	}

	&--close-filters {
		position: relative;
		padding-left: 20px;
		font-size: 18px;
		text-decoration: none;

		&:before {
			content: '';
			display: inline-block;
			width: 10px;
			height: 10px;
			border-left: 1px solid #000;
			border-bottom: 1px solid #000;
			position: absolute;
			top: 2px;
			left: 0px;
			transform: rotate(45deg);
			transition: top .4s, transform .4s, border-color .4s;
		}
	}

	&--filters {
		position: relative;
		padding-right: 30px;
		font-size: 13px;
		text-decoration: none;
		letter-spacing: 0.04em;

		&:before {
			content: '';
			display: inline-block;
			width: 7px;
			height: 7px;
			border-left: 1px solid #000;
			border-bottom: 1px solid #000;
			position: absolute;
			top: 3px;
			right: 21px;
			transform: rotate(-135deg);
			transition: top .4s, transform .4s, border-color .4s;
		}
	}

	&--close-order {
		position: relative;
		padding-left: 20px;
		font-size: 18px;
		text-decoration: none;

		&:before {
			content: '';
			display: inline-block;
			width: 10px;
			height: 10px;
			border-left: 1px solid #000;
			border-bottom: 1px solid #000;
			position: absolute;
			top: 2px;
			left: 0px;
			transform: rotate(45deg);
			transition: top .4s, transform .4s, border-color .4s;
		}
	}
}
